## vdeplug-slirp 0.1.0

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.1)
project("vdeplug_slirp"
    DESCRIPTION "libvdeplug plugin module for slirp"
    HOMEPAGE_URL "https://github.com/rd235/vdeplug_slirp"
    VERSION 0.1.0
    LANGUAGES C)

include(GNUInstallDirs)
include(CheckIncludeFile)
set(CMAKE_C_FLAGS "${CMAKE_C_FLAGS} -D_FORTIFY_SOURCE=2 -O2 -pedantic -Wall -Wextra")

set(CMAKE_REQUIRED_QUIET TRUE)
set(LIBS_REQUIRED vdeslirp vdeplug_mod)
set(HEADERS_REQUIRED libvdeplug.h slirp/libvdeslirp.h)

foreach(THISLIB IN LISTS LIBS_REQUIRED)
  find_library(LIB${THISLIB}_OK ${THISLIB})
  if(NOT LIB${THISLIB}_OK)
    message(FATAL_ERROR "library lib${THISLIB} not found")
  endif()
endforeach(THISLIB)

foreach(HEADER IN LISTS HEADERS_REQUIRED)
  check_include_file(${HEADER} ${HEADER}_OK)
  if(NOT ${HEADER}_OK)
    message(FATAL_ERROR "header file ${HEADER} not found")
  endif()
endforeach(HEADER)

add_definitions(-D_GNU_SOURCE)
include_directories(${CMAKE_CURRENT_SOURCE_DIR})

add_library(vdeplug_slirp SHARED libvdeplug_slirp.c)
target_link_libraries(vdeplug_slirp vdeslirp vdeplug_mod)

install(TARGETS vdeplug_slirp DESTINATION ${CMAKE_INSTALL_LIBDIR}/vdeplug)

add_subdirectory(man)

add_custom_target(uninstall
  "${CMAKE_COMMAND}" -P "${PROJECT_SOURCE_DIR}/Uninstall.cmake")

=== debian/changelog ===
vdeplug-slirp (0.1.0-3.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Backport upstream fix for FTBFS with CMake 4. (Closes: #1113613)

 -- Adrian Bunk <bunk@debian.org>  Sat, 11 Oct 2025 16:46:21 +0300

vdeplug-slirp (0.1.0-3) unstable; urgency=medium

  * Team upload.

  [ Debian Janitor ]
  * Apply multi-arch hints. + libvdeplug-slirp: Add Multi-Arch: same.
    Changes-By: apply-multiarch-hints

  [ Mattia Rizzolo ]
  * remove some boilerplate from d/rules.
  * Don't hardcode dependencies on shared libraries.
    (Closes: #1069088)

 -- Mattia Rizzolo <mattia@debian.org>  Mon, 22 Apr 2024 10:08:00 +0200

vdeplug-slirp (0.1.0-2) unstable; urgency=medium

  * d/control: Set Maintainer to Debian VirtualSquare Team
  * d/control: Add VirtualSquare Uploader
  * d/control: Fix Vcs
  * Initial Debian release (Closes: #975714)

 -- Andrea Capriotti <capriott@debian.org>  Wed, 25 Nov 2020 19:15:58 +0100

vdeplug-slirp (0.1.0-1) unstable; urgency=medium

  * Initial release

 -- Renzo Davoli <renzo@cs.unibo.it>  Sun, 25 Oct 2020 11:01:30 +0100

=== debian/control ===
Source: vdeplug-slirp
Priority: optional
Maintainer: Debian VirtualSquare Team <virtualsquare@cs.unibo.it>
Uploaders: Mattia Biondi <mattia.biondi3@studio.unibo.it>, Renzo Davoli <renzo@cs.unibo.it>, Andrea Capriotti <capriott@debian.org>
Build-Depends: debhelper-compat (= 13), cmake (>= 3.13), libvdeslirp-dev, libvdeplug-dev (>= 4), libslirp-dev
Standards-Version: 4.5.0
Section: libs
Homepage: http://www.virtualsquare.org/
Vcs-Browser: https://salsa.debian.org/virtualsquare-team/vdeplug-slirp
Vcs-Git: https://salsa.debian.org/virtualsquare-team/vdeplug-slirp.git
Rules-Requires-Root: no

Package: libvdeplug-slirp
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Multi-Arch: same
Description: libvdeplug plugin for slirp
 libvdeplug plugin to join TCP-IP networks using the slirp emulator.

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@

# this can be removed with dh compat 15
override_dh_auto_install:
	dh_auto_install --destdir debian/tmp

=== debian/watch ===
version=4

opts="filenamemangle=s%(?:.*?)?v?(\d[\d.]*)\.tar\.gz%libvdestack-$1.tar.gz%" \
   https://github.com/virtualsquare/vdeplug_slirp/tags \
   (?:.*?/)?v?(\d[\d.]*)\.tar\.gz debian uupdate
